[Shaarli] The personal, minimalist, super-fast, no-database delicious clone

@rokaz a encore fait un gros travail sur l’app, je suis en train de tester tout ça, une fois intégré on aura une app installation soit en instance publique

Prochaine étape, intégrer le SSO :slight_smile:

En attendant, on a une app fonctionnelle, dont les scripts de sauvegarde et récupération :slight_smile:

Question: doit-on la laisser dans la liste des apps work in progress, ou la passer directement en fonctionnelle ?

Si l’app est testée et que l’installation et la suppression au moins fonctionnent, tu peux l’ajouter à la liste des apps fonctionnelles.

1 Like

Ok je fais ça alors. Merci :slight_smile:

1 Like

Bonjour

L’application shaarli vient d’être mise à jour en version 0.9.0

https://github.com/YunoHost-Apps/shaarli_ynh/tree/0.9.0_update

Merci pour vos retours de test :relaxed:

Plus précisément, la mise à jour est disponible dans la branche vers laquelle le lien pointe.
Donc si vous voulez tester cette version, faudra bien utiliser https://github.com/YunoHost-Apps/shaarli_ynh/tree/0.9.0_update pour installer / mettre à jour.

@Lapineige

La mise à jour ne fonctionne pas car le script d’upgrade est vide il va falloir le créer

Ah oui mince, j’avais oublié :smile:

Bon ben exporter vos marques-pages avant de réinstaller ^^

C’est bon, la version 0.9.0 est disponible :slight_smile:

En attendant qu’on rédige le script d’upgrade, exporter tout avant de supprimer et réinstaller Shaarli :wink:


The version 0.9.0 is now available :slight_smile:

As we still didn’t make an upgrade script, please export all the bookmarks before removing and installing Shaarli again :wink:

Bonjour,
Serait-ce possible d’intégrer par défaut un peu plus de thèmes compatibles?
J’ai installé le thème material design, il provoque une page blanche et même après suppression par /var/www/shaarli/tpl l’appli reste inutilisable, obligé de désinstaller/réinstaller.

Oui :slight_smile:

Je ne sais pas le faire, mais de ce que j’en comprends il faut le faire avant que l’initialisation du Shaarli soit complète ? (vu que ça ne fonctionne pas en le rajoutant par la suite)

Tu as moyen de tester à part en forkant le dépôt github et en ajoutant ce thème dans les fichiers ? (puis en installant en précisant l’adresse -u github.com/tonPseudo/Dépot)
Ou à défaut, sur un Shaarli installé à part (hors Yunohost, ou dans une webapp) pour voir si ça devrait marcher en temps normal (donc si le problème vient des scripts d’installation).

Dans l’absolu ça serait plus pratique de pouvoir les ajouter par la suite, mais on peut aussi en inclure quelques-un de base, ça ne pèse rien.

@Lapineige je vais regarder pour mettre à jour l’app avec les nouveau helpers peut être que ça va résoudre le problème

1 Like

Je n’ai pas vraiment moyen de faire des tests, le seul Shaarli auquel j’ai accès (hors Yuno) est sur un free.fr, une vielle version en raison de la version PHP utilisée par free.
De mémoire sur la vielle version, (certainement prise sur le dépôt de Seb Sauvage, c’est vieux la mise en ligne ) il n’y avait pas de soucis, j’ai copié un theme par ftp que j’ai pu ensuite activer via la WebUI de Shaarli.

salut,

Question peut être bette mais comme je suis déjà pommé avec ces histoires de branches …

La version 0.9, c’est la version de la version pacagée (on peut dire « yunohostisée » ? ) de shaarli ou c’est la version de shaarli ?

Pourquoi cette question me diriez-vous :

  • dans le fichier index.php, on a : define('shaarli_version', '0.8.2');
  • Sauf que, dans depuis quelque jour, j’ai un petit encadré en haut à droite de mon shaarli qui indique Shaarli 0.8.4 is available.
  • Or dans le repo de shaarli (non « yunohostisée ») la branche stable est à 0.8.4 mais la branche master pointe vers la 0.9.2 qui est la même que la branche lastest (donc de dev ?).

Merci par avance pour votre aide.

La version du paquet Yunohost sera toujours la même que celle du Shaarli qu’elle installe. C’est plus compréhensible :slight_smile:

Donc on n’est pas à jour sur les versions stables disponibles. (j’étais pas au courant ^^)
D’ailleurs, si j’oublie de mettre à jour, n’hésitez pas à me faire signe :wink:

Faudra que je regarde si, au moins pour des versions mineures, une mise-à-jour indépendante du paquet est possible sans risque - voire automatisable.

Donc la version non-stable, identique à celle en cours de développement pour l’instant, est la 0.9.2. Il peut y avoir plusieurs versions mineures (X.X.Version) avant d’atteindre une version stable.

1 Like

hum …

OK, mais du coups pour moi on est en 0.8.2( define('shaarli_version', '0.8.2'); ), et non pas en 0.9.x :confused: .

C’est la même que la version de Shaarli configurée pour être installée avec le paquet Yunohost.
Donc pas forcément la dernière en date, si on n’a pas mis à jour.
En l’occurrence, on est toujours sur la 0.8.4.

C’est la version 0.8.4 sur les listes d’app YunoHost mais sur le dépôt git https://github.com/YunoHost-Apps/shaarli_ynh c’est la version 0.9.0. Mais attention si tu veux mettre à jour l’app n’a pas encore de script d’upgrade je travaille dessus en ce moment

Hi
Shaarli app has been updated to version 0.9.7

Install from admin web interface or through command-line by following command.

$ yunohost app install https://github.com/YunoHost-Apps/shaarli_ynh

Please feel free to test and open issues here.

3 Likes

Hi
Shaarli app has been updated to version 0.10.2.

New features added along with the Shaarli update:

  1. Fail2ban and
  2. Logrotate

Install from admin web interface or through command-line by following command.

$ yunohost app install https://github.com/YunoHost-Apps/shaarli_ynh

Please feel free to test and open issues here.

1 Like

Shaarli app has been updated to version 0.10.4 .

Install from admin web interface or through command-line by following command.

$ yunohost app install https://github.com/YunoHost-Apps/shaarli_ynh